description

# AudioContext class Null safety

Inheritance
  - Object
  - EventTarget
  - BaseAudioContext
  - AudioContext
Annotations
  - @SupportedBrowser(SupportedBrowser.CHROME)
  - @SupportedBrowser(SupportedBrowser.FIREFOX)
  - @Native("AudioContext,webkitAudioContext")

## Constructors

AudioContext()
  factory

## Properties

baseLatency → num?
  read-only
currentTime → num?
  read-only, inherited
destination → AudioDestinationNode?
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
listener → AudioListener?
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
sampleRate → num?
  read-only, inherited
state → String?
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
close() → Future
createAnalyser() → AnalyserNode
  inherited
createBiquadFilter() → BiquadFilterNode
  inherited
createBuffer(int numberOfChannels, int numberOfFrames, num sampleRate) → AudioBuffer
  inherited
createBufferSource() → AudioBufferSourceNode
  inherited
createChannelMerger([int? numberOfInputs]) → ChannelMergerNode
  inherited
createChannelSplitter([int? numberOfOutputs]) → ChannelSplitterNode
  inherited
createConstantSource() → ConstantSourceNode
  inherited
createConvolver() → ConvolverNode
  inherited
createDelay([num? maxDelayTime]) → DelayNode
  inherited
createDynamicsCompressor() → DynamicsCompressorNode
  inherited
createGain() → GainNode
  override
createIirFilter(List<num> feedForward, List<num> feedBack) → IirFilterNode
  @JSName('createIIRFilter'), inherited
createMediaElementSource(MediaElement mediaElement) → MediaElementAudioSourceNode
  inherited
createMediaStreamDestination() → MediaStreamAudioDestinationNode
  inherited
createMediaStreamSource(MediaStream mediaStream) → MediaStreamAudioSourceNode
  inherited
createOscillator() → OscillatorNode
  inherited
createPanner() → PannerNode
  inherited
createPeriodicWave(List<num> real, List<num> imag, [Map? options]) → PeriodicWave
  inherited
createScriptProcessor([int? bufferSize, int? numberOfInputChannels, int? numberOfOutputChannels]) → ScriptProcessorNode
  override
createStereoPanner() → StereoPannerNode
  inherited
createWaveShaper() → WaveShaperNode
  inherited
decodeAudioData(ByteBuffer audioData, [DecodeSuccessCallback? successCallback, DecodeErrorCallback? errorCallback]) → Future<AudioBuffer>
  override
dispatchEvent(Event event) → bool
  inherited
getOutputTimestamp() → Map
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
resume() → Future
  inherited
suspend() → Future
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

supported → bool
  Checks if this type is supported on the current platform.
  read-only